﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using NUnit.Framework;

namespace SampleApp.Integration.Tests
{
    [TestFixture]
    public class FileWriterTests
    {
        [Test]
        public void FileWriterCanWriteFiles()
        {
            var path = @"C:\lettersgohere\test.txt";

            var file = new FileWriter();
            file.WriteToFile(path, "Test Contents");

            string contents;
            using (var sr = new StreamReader(path))
            {
                contents = sr.ReadToEnd();
            }

            Assert.Equals("Test Contents", contents);
        }
    }
}
