using Ninject;

namespace SampleApp
{
    public class DIFactory
    {
        private static IKernel kernel = new StandardKernel(new DefaultModule());
        
        public static T Resolve<T>()
        {
            return kernel.Get<T>();
        }
    }
}