using System;
using System.IO;

namespace SampleApp
{
    public class LetterGenerator
    {
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string LetterTemplate { get; set; }

        public void WriteLetter()
        {
            string fileName = String.Format(@"{0}{1}{2}.txt", AppSettings.LetterPath, FirstName, LastName);

            string letterContents = LetterTemplate.Replace("{FirstName}", FirstName)
                .Replace("{LastName}", LastName);

            using (var sw = new StreamWriter(fileName))
            {
                sw.Write(letterContents);
            }
        }
    }
}