using System.IO;

namespace SampleApp
{
    public class FileWriter: IFileWriter
    {
        public void WriteToFile(string fileName, string contents)
        {
            using (var sw = new StreamWriter(fileName))
            {
                sw.Write(contents);
            }
        }
    }

    public interface IFileWriter
    {
        void WriteToFile(string fileName, string contents);
    }
}